org.apache.maven.scm.provider.cvslib.cvsjava.command.login

## Class CvsJavaLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand
    - - org.apache.maven.scm.provider.cvslib.command.login.CvsLoginCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.login.CvsJavaLoginCommand

- All Implemented Interfaces:
    Command

      public class CvsJavaLoginCommand
      extends CvsLoginCommand

  Version:
    $Id: CvsJavaLoginCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsJavaLoginCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCvsNT()`

    - ### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.login.CvsLoginCommand

      `executeLoginCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.login.AbstractLoginCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsJavaLoginCommand

          public CvsJavaLoginCommand()

  - ### Method Detail

    - #### isCvsNT

          public boolean isCvsNT()
                          throws ScmException

      Overrides:
        `isCvsNT` in class `CvsLoginCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.